Skip to main content
`Ctrl`+`K`

# EPSCISSSetUseST

Sets a flag indicating that the CISS solver will use the `ST` object for the linear solves.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSSetUseST(EPS eps,PetscBool usest)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- usest - boolean flag to use the `ST` object or not

## Options Database Key

- -eps_ciss_usest - whether the `ST` object will be used or not

## Note

When this option is set, the linear solves can be configured by setting options for the `KSP` object obtained with `STGetKSP()`. Otherwise, several `KSP` objects are created, which can be accessed with `EPSCISSGetKSPs()`.

The default is to use the `ST`, unless several partitions have been specified, see `EPSCISSSetSizes()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSCISS`, `EPSCISSGetUseST()`, `EPSCISSSetSizes()`, `EPSCISSGetKSPs()`, `STGetKSP()`

## Level

advanced

## Location

src/eps/impls/ciss/ciss.c

## Implementations

EPSCISSSetUseST_CISS() in src/eps/impls/ciss/ciss.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages